AUDIT_ARGS(3)

NAME
audit_args, audit_text - produce text audit message

SYNOPSIS
#include <sys/label.h>
#include <sys/audit.h>

audit_args(event, argc, argv)
int event;
int argc;
char **argv;

audit_text(event, error, retval, argc, argv)
int event;
int error;
int retval;
int argc;
char **argv;

DESCRIPTION

These functions provide text interfaces to the audit(2) system call. In both calls, the event parameter identifies the event class of the action, and argc is the number of strings found in the vector argv. The error parameter is used to determine the failure or success of the audited operation. A negative value is always audited. A zero value is audited as a successful event. A positive value is audited as an event failure. The retval parameter is the return value or exit code that the invoking program will have.

audit_args() is equivalent to audit_text() with error and retval parameters of -1.

SEE ALSO
audit(2)